Loading...
Searching...
No Matches
protocol.c File Reference

ENet protocol functions. More...

`#include <stdio.h>`
`#include <string.h>`
`#include "enet/utility.h"`
`#include "enet/time.h"`
`#include "enet/enet.h"`

## Macros

#define | ENET_BUILDING_LIB 1

## Functions

int | enet_host_check_events (ENetHost *host, ENetEvent *event)
| Checks for any queued events on the host and dispatches one if available.
void | enet_host_flush (ENetHost *host)
| Sends any queued packets on the host specified to its designated peers.
int | enet_host_service (ENetHost *host, ENetEvent *event, enet_uint32 timeout)
| Waits for events on the host specified and shuttles packets between the host and its peers.
size_t | enet_protocol_command_size (enet_uint8 commandNumber)

## Detailed Description

ENet protocol functions.

## Macro Definition Documentation

## ENET_BUILDING_LIB

#define ENET_BUILDING_LIB 1

## Function Documentation

## enet_protocol_command_size()

size_t enet_protocol_command_size | ( | enet_uint8 | commandNumber | ) |